![repository-banner.png](/public/repo-banner.png)

<p align="center">
  <a href="https://www.npmjs.com/package/@tresjs/core"><img src="https://img.shields.io/npm/v/@tresjs/post-processing?color=FF7BAC" alt="npm package"></a>
  <a href="https://www.npmjs.com/package/@tresjs/post-processing"><img src="https://img.shields.io/npm/dm/@tresjs/post-processing?color=FF7BAC" alt="npm downloads"></a>
  <a href="https://discord.gg/UCr96AQmWn"><img src="https://img.shields.io/badge/chat-discord-purple?style=flat&logo=discord" alt="discord chat"></a>
</p>
<br/>

# Post-Processing

> Collection of useful helpers and fully functional, ready-made post-processing effects for Tres

- 💡 Build your effects with Vue components only.
- ⚡️ Powered by Vite
- 🦾 Fully Typed

## Installation

```bash
pnpm i @tresjs/post-processing
```

## Docs

Checkout the [docs](https://post-processing.tresjs.org/)

## Demos

- [Stackblitz Collection](https://stackblitz.com/@alvarosabu/collections/tresjs)

## Contributing

We are open to contributions, please read the [contributing guide](https://github.com/Tresjs/tres/blob/main/CONTRIBUTING.md) to get started.

### Build

To build the package run:

```bash
pnpm run build
```

### Playground

To run the playground run, its a great way to test the components and helpers locally:

First install dependencies

```
pnpm i
```

And then to run the development server on http://localhost:5173

```bash
pnpm run playground
```

### Docs

To run de docs in dev mode

```bash
pnpm run docs:dev
```

To build them

```bash
pnpm run docs:build
```

## License

[MIT](/LICENSE)

## Sponsors

Be the first to support this project [here](https://github.com/sponsors/alvarosabu) ☺️
