import { BlendFunction, KernelSize, BloomEffect } from 'postprocessing';
export interface BloomProps {
    /**
     * The blend function of this effect. This prop is not reactive.
     * @default BlendFunction.SCREEN
     * @type {BlendFunction}
     * @memberof BloomProps
    */
    blendFunction?: BlendFunction;
    /**
     * The intensity of the bloom effect.
     *
     * @default 1
     * @type {number}
     * @memberof BloomProps
     */
    intensity?: number;
    /**
     * The kernel size.
     *
     * @default KernelSize.LARGE
     *
     * @type {KernelSize}
     * @memberof BloomProps
     */
    kernelSize?: KernelSize;
    /**
     * The luminance threshold. Raise this value to mask out darker elements in the scene. Range is [0, 1].
     *
     * @default 0.9
     *
     * @type {number}
     * @memberof BloomProps
     */
    luminanceThreshold?: number;
    /**
     * Controls the smoothness of the luminance threshold. Range is [0, 1].
     *
     * @default 0.025
     *
     * @type {number}
     * @memberof BloomProps
     */
    luminanceSmoothing?: number;
    /**
     * Enables mip map blur.
     *
     * @default false
     *
     * @type {boolean}
     * @memberof BloomProps
     */
    mipmapBlur?: boolean;
}
declare const _default: import('vue').DefineComponent<BloomProps, {
    pass: import('vue').ShallowRef<import('postprocessing').EffectPass | null>;
    effect: import('vue').ShallowRef<BloomEffect | null>;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<BloomProps> & Readonly<{}>, {
    mipmapBlur: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
